From 79eaef1e6a8039119d9e7a13671c8f94fecee2c3 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Sat, 9 Oct 2021 16:42:22 -0700
Subject: [PATCH v3 13/17] Adapt src/test/ldap/t/001_auth.pl to work with
 openldap 2.5.

ldapsearch's deprecated -h/-p arguments were removed, need to use -H now.

Discussion: https://postgr.es/m/20211009233850.wvr6apcrw2ai6cnj@alap3.anarazel.de
Backpatch: 11-, where the tests were added.
---
 src/test/ldap/t/001_auth.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/ldap/t/001_auth.pl b/src/test/ldap/t/001_auth.pl
index f670bc5e0d5..a025a641b02 100644
--- a/src/test/ldap/t/001_auth.pl
+++ b/src/test/ldap/t/001_auth.pl
@@ -130,8 +130,8 @@ while (1)
 	last
 	  if (
 		system_log(
-			"ldapsearch", "-h", $ldap_server, "-p",
-			$ldap_port,   "-s", "base",       "-b",
+			"ldapsearch", "-H", "$ldap_url",  "-s",
+			"base",       "-b",
 			$ldap_basedn, "-D", $ldap_rootdn, "-y",
 			$ldap_pwfile, "-n", "'objectclass=*'") == 0);
 	die "cannot connect to slapd" if ++$retries >= 300;
-- 
2.23.0.385.gbc12974a89

